[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TControl.TextChanged

Performs actions needed when the value for the Text property has been changed.

## Declaration

Source position: controls.pp line 1514

`protected procedure TControl.TextChanged; virtual;`

## Description

TextChanged has an empty implementation in TControl, and is overridden in descendent classes to perform any actions needed for the control type. Called from the CMTextChanged message handler.